View Issue Details

IDProjectCategoryView StatusLast Update
0008010Talerlibeufin-nexuspublic2024-05-15 18:01
ReporterMS Assigned ToAntoine A  
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Target Version0.11Fixed in Version0.11 
Summary0008010: Model the bank account type in nexus: exchange or not.
DescriptionCurrently nexus assumes that every incoming payment aims at initiating a Taler withdrawal. For this reason, it bounces the payments with an invalid reserve public key. That however breaks when non-exchange users need nexus (because of its Revenue API), because in these cases there's no requirement for payments to carry a reserve public key.

Therefore nexus should model the bank account type that it monitors, and bounce payments without a reserve public key only when they are aimed at a Taler exchange.
TagsNo tags attached.

Relationships

related to 0006992 closedAntoine A need new "generic-credit" facade 
child of 0008420 resolvedChristian Grothoff package and upload libeufin 0.11 to ftp and stable Debian/Ubuntu server [estimate: 1h] 

Activities

Antoine A

2024-05-03 12:25

developer   ~0022334

Fixed in ef2124c9949991cd4a0fbb78356184d06564b5e0

Issue History

Date Modified Username Field Change
2023-12-15 16:05 MS New Issue
2023-12-15 16:05 MS Status new => assigned
2023-12-15 16:05 MS Assigned To => Antoine A
2023-12-15 16:10 MS Summary Model the account type in nexus: exchange or not. => Model the bank account type in nexus: exchange or not.
2023-12-15 16:10 MS Description Updated
2023-12-15 16:13 MS Description Updated
2023-12-15 16:28 Florian Dold Severity minor => major
2023-12-15 16:28 Florian Dold Reproducibility have not tried => always
2023-12-15 16:28 Florian Dold Target Version => 0.10
2024-01-02 11:09 Christian Grothoff Relationship added related to 0006992
2024-01-28 01:35 Christian Grothoff Target Version 0.10 => 0.11
2024-02-16 22:52 Christian Grothoff Target Version 0.11 => 0.10
2024-02-16 22:52 Christian Grothoff Target Version 0.10 => 0.11
2024-02-16 22:52 Christian Grothoff Relationship added child of 0008420
2024-03-04 15:03 Antoine A Priority normal => urgent
2024-05-03 12:25 Antoine A Status assigned => resolved
2024-05-03 12:25 Antoine A Resolution open => fixed
2024-05-03 12:25 Antoine A Note Added: 0022334
2024-05-15 17:53 Christian Grothoff Fixed in Version => 0.11
2024-05-15 18:01 Christian Grothoff Status resolved => closed